*,
*::before,
*::after {    
    box-sizing: border-box;
}
/**** custom properties, update these for your design ****/
:root{
    --ff-primary: 'Lora', serif ;
    --ff-secondary: Tahoma, Geneva 'Robeto slab', serif ;
    font-family: 'Segoe UI',  Verdana, sans-serif;
    --fw-reg: 400;
    --fw-bold: 700;

    --clr-bg: #fff;
    --clr-dark: #303030;
    --clr-accent: #2696d6;

    --fs-h1: 3rem;
    --fs-h2: 2.25rem;
    --fs-h3: 1.55rem;
    --fs-body: 1.11rem;

    --bs: 0.25em 0.25em 0.75em rgba(0,0,0,.25),
          0.125em 0.125em 0.25em rgba(0,0,0,.15);
}
@media (min-width: 800px) {
    :root {
        --fs-h1: 4.5rem;
        --fs-h2: 3.75rem;
        --fs-h3: 1.75rem;
        --fs-body: 1.255rem;
    }

}

/**** General Styles ****/

html {
    scroll-behavior: smooth;
}


body{
    background: var(--clr-light);
    color: var(--clr-dark);
    margin: 0;
    font-family: var(--ff-primary);
    font-size: var(--fs-body);
    line-height: 1.62;  
}    

section{
    padding: 5em 2em;

}

img{
    display: block ;
    max-width: 100%;
}



strong { font-weight: var(--fw-bold);}
 
:focus{
    outline: 3px solid var(--clr-accent); 
    outline-offset: 3px;
}     
      

/* Button */
       
.btn {
    display: inline-block;
    padding: .5em 2.5em;
    background: var(--clr-accent);
    color: var(--clr-dark);
    text-decoration: none;
    cursor: pointer;
    font-size: .8rem;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-weight: var(--fw-bold);
    transition: transform 200px ease-in-out;

}

.btn:hover{
    transform: scale(1.1);
}
/** Typography */

h1,
h2,
h3{
    line-height: 1.1;
    margin: 0;
}

h1 { font-size: var(--fs-h1);}
h2 { font-size: var(--fs-h2);}
h3 { font-size: var(--fs-h3);}



.section__title {
     margin-bottom: .25em;
}

.section__title--intro{
    font-weight: var(--fw-reg);
}    
.section__title--intro strong{
    display: block;
}     
      
.section__subtitle {
    margin: 0;
    font-size: var(--fs-h3);

}

.section__subtitle--intro,
.section__subtitle--about{
    background: var(--clr-accent);
    padding: .25em;
    font-family: var(--ff-secondary);
    margin-bottom: 1em;

}

.section__subtitle--work {
    color: var(--clr-accent);
    font-weight: var(--fw-bold);
    margin-bottom: 1em;    
}

/* Header */

header {
    display: flex;
    justify-content: space-between;
    padding: 1em;
}

.logo {
    width: 150px;
   
}

.darkmode {
    background: #066eaa;
    color: var(--clr-bg);
}
#dark {
    font-family: segoe uI;
    font-weight: 500;
    cursor: pointer;
    
}

.theme{
    display: block;
    position: relative;
    right: 60px;
    top: -16px;
    font-weight: 400;
    
}

.nav {
    position: fixed;
    background: var(--clr-dark);
    color: var(--clr-bg);
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 100;
    
    transform: translateX(100%);
    transition: transform 250ms cubic-bezier(.5 0 .5 1);
}

.nav__list {
    list-style: none;
    display: flex;
    height: 100%;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    margin: 0;
    padding: 0;

}

.nav__link {
    color: inherit;
    font-weight: var(--fw-bold);
    font-size: var(--fs-h2);
    text-decoration: none;
}

.nav__link:hover {
    color: var(--clr-accent);
}

.nav-toggle {
    padding: .5em;
    background: transparent;
    border: 0;
    cursor: pointer;
    position: absolute;
    right: 1em;
    top: 1em;
    z-index: 1000 ;
}

.nav-open .nav {
    transform: translateX(0); 
}
.nav-open {
    background: #08dceb;
}

.nav-open .nav-toggle {
    position: fixed;
}

.nav-open .hamburger {
    transform: rotate(.625turn);
}

.nav-open .hamburger::after {
    opacity: 0;
}

.nav-open .hamburger::before {
    transform: rotate(90deg) translateX(-6px);
}

.hamburger {
    height: 1px;
    display: block;
    position: relative;
}

.hamburger,
.hamburger::before,
.hamburger::after {
    background: var(--clr-accent);
    width: 2em;
    height: 3px;
    border-radius: 1em;  
    transition: transform 250ms ease-in-out;
}      
      
.hamburger::before,
.hamburger::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    background: var(--clr-accent); 
}

.hamburger::before { top: 6px; }
.hamburger::after { bottom: 6px; }

/* Intro section */

.intro{
    position: relative;

}

.intro__img {
    box-shadow: var(--bs);
}
 
.section__subtitle--intro {
    display: inline-block;
}

@media (min-width: 800px) {
     .intro {
        display: grid;
        width: min-content;
        margin: 0 auto;
        grid-column-gap: 1em;
        grid-template-areas: 
             "img title"
             "img subtitle";
       grid-template-columns: min-content max-content;

     }
     .intro__img {
        grid-area: img;
        min-width: 250px;
        position: relative;
        z-index: 2;
     }
    .section__subtitle--intro {
        align-self: start;
        grid-column: -1 / 1;
        grid-row: 2;
        text-align: right;
        position: relative;
        left: -1.5em;
        width: calc(100% + 1.5em) ;
    }
}



/* My services section */

.my--services {
    background-color: var(--clr-dark);
    background-image: url(../img/services-bg.jpg);
    background-size: cover;
    background-blend-mode: multiply;
    color: var(--clr-light);
    text-align: center;
}
    
       
.section__title--services {
    color: var(--clr-accent);
    position: relative;
}


.section__title--services::after {
    content: '';
    display: block;
    width: 3em;
    height: 1px;
    margin: 0.5em auto 1em;
    background: var(--clr-dark);
    opacity: 0.25;
}

.services{
   margin-bottom: 4em;
   color: #fff;
}

.service {
    max-width: 500px;
    margin: auto;
}

@media (min-width: 800px) {
    .services {
        display: flex;
        max-width: 1000px;
        margin-left: auto;
        margin-right: auto;
    }

    .service + .service {
        margin-left: 2em;
    }
}
     /*----- About me -------*/

.about-me{
    max-width: 1000px;
    margin: 0 auto;
}
 
.about-me__img{
    height: 18em;
    width: 20em; 
    box-shadow: var(--bs);
}

@media (min-width: 800px) {
    .about-me {
        display: grid;
        grid-template-columns: 1fr 200px;
        grid-template-areas: 
            "title img"
            "subtitle img"
            "text img";
            grid-column-gap: 1em;
    }

    .section__title--about {
        grid-area: title;
    }

    .section__subtitle--about {
        grid-column: 1 /-1;
        grid-row: 2;
        position: relative;
        left: -2em;
        width: calc(100% + 3em);
        padding-left: 1em;
        padding-right: calc(200px + 4em);
    }

     .about-me__img {
        grid-area: img;
        position: relative;
     } 
}   

 
/* MY WORK */

.my-work {
    background-color: var(--clr-dark);
    color: var(--clr-bg);
    text-align: center;
}

.portfolio__img {
    height: 20rem;
    width: 25.3rem; 
}
.portfolio {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(20rem, 1fr));
    
}

.portfolio__item {
    background: var(--clr-accent); 
    overflow: hidden;
}

.portfolio__img {
    margin: 2px;
    transition: 
        transform 750ms cubic-bezier(.5, 0, .5, 1)
        opacity 250ms linear;
}

.portfolio__item:focus {
    position: relative;
    z-index: 2; 
}

.portfolio__img:hover,
.portfolio__item:focus .portfolio__img {
    transform: scale(1.2);
    opacity: .5; 
}

      /************************************
                  CONTACT
      ************************************/

 @media screen and (min-width: 900px) {
    .container {
        display: flex; 
        height: 30em;
    }

    .input {
        margin-left: 8%;
        margin-right: 8%;
        width: 530px;
    }

    .text-area {
        margin-left: 20%;
        margin-right: 15%;
        width: 530px;
    }
}

@media screen and (max-width: 1200px) and (min-width: 900px) {
    .container {
        display: flex;
    }

    .input {
        margin-left: 10%;
        margin-right: 10%;
        width: 450px;
    }
  
    .text-area {
        margin-left: 20%;
        margin-right: 10%;
        width: 450px;
    }
}

@media screen and (max-width: 1020px) and (min-width: 900px) {
    .container {
        display: flex;
    }

    .input {
        margin-left: 10%;
        margin-right: 10%;
        width: 400px;
    }
 
    .text-area {
        margin-left: 20%;
        margin-right: 10%;
        width: 400px;
    }
}

@media screen and (max-width: 900px) and (min-width: 750px) {
    .container {
        display: flex;
        height: 25em;
        
     }

    .input {
        margin-left: 5%;
        margin-right: 5%;
        width: 320px;
     }
    
    .text-area {
        margin-left: 10%;
        width: 330px;
    }
}
@media screen and (max-width: 750px) and (min-width: 600px) {
    .container {
        display: block;
        height: auto;
     }
   
    .input {
        margin-left: 7%;
        margin-right: 7%;
        width: 530px;
    }
    .message-form {
        margin-top: 30px;
    }
    .text-area {
        margin-left: 7%;
        margin-right: 7%;
        width: 530px;
    }
}
@media screen and (max-width: 600px) and (min-width: 1px)  {
    .container{
       height: 40em;
       display: block; 
    }
    
    .input-it {
        text-align: center;
    }

    .input {
       width: 330px;
       margin-left: 5%;
       margin-right: 5%;
    }

     .message-form {
        margin-top: 40px;
     }
    .text-area {
        width: 330px;
        margin-left: 5%;
        margin-right: 5%;
    }
}

  

section {
    padding-top: 0px;
    padding-bottom: 2em;
    padding-left: 0px;
    padding-right: 0px;
    margin-bottom: 10px;
}

#contact {
    background: #212529;
    margin-top: 0px;
}
    
.contact-header {
    background: #202020;
    padding-top: 35px;
    margin-top: 0px;
    height: 100px;
    color: var(--clr-accent);
    text-align: center;
    text-transform: uppercase;
    font-size: 40px;        
}
    
.container {
    background-color: #212529;
    color: rgb(238, 232, 232);
    height: em;
    width: 90%;
    margin-top: 0px;
    padding: auto;
    border-radius: 10px;  
}

.form {
    display: flex;
}

.input-form {
    background-color: var();
    margin-bottom: 10px;
}

input:not([type="submit"]){
    background-color: var(--clr-bg);
    border: 1px solid rgb(0, 0, 0);
    border-width:2px ;
    border-radius: 6px;
    color: #000000;
    font-size: 20px;
    margin-top: 5px;
    margin-bottom: 5px;
    height: 50px;
    padding: 10px;
    opacity: 1;
    transition: all .3s;
    -webkit-transition: all .4s;
    -moz-transition: all .3s;
    text-align: left;
    text-transform:capitalize;
}

.input:focus{
    border: 3px solid var(--clr-accent);
    color: #000000;
    outline: none;
 }

#email:focus{
    text-transform: lowercase;
} 
    
.text-area {
    font-size: 20px;
    padding: 10px;
    border-radius: 7px;
    height: 15em;
    opacity: 1;
}
    
.text-area:focus {
    border: 3px solid var(--clr-accent);
    color: #000000;
    font-weight: 300;
    outline: none;
    text-transform: capitalize;
}
    
 .sb {
    text-align: center;
}

button[type="submit"] {
    width: 200px;
    font-size: 20px;
    font-weight: 550;
    background: var(--clr-accent);
    border-radius: 5px 10px 5px 10px;
   
}
    
button:hover[type="submit"] {
    background: #0066ec;
    cursor: pointer;
}
    
button:focus[type="submit"] {
    background: #0127a3; 
}

.submit-button {
    text-align: center;
    height: 60px;
    text-transform: uppercase;
}
#to-top {
    text-align: center;
}
#back-to-top {
    color: #fff;
    text-align: center;
}
.back-to-top {
    background: var(--clr-accent);
    padding: 1px;
    height: 85px;
    width: 85px;
    border-top-left-radius: 100px;
    border-top-right-radius: 100px;
    border-bottom-left-radius: 100px;
    border-bottom-right-radius: 100px;
    display: inline-block;
    position: absolute;
    text-align: center;
   
}


/**************************************************** 
                   footer 
******************************************************/

.footer {
    background: #111;
    color: var(--clr-accent);
    text-align: center;
    padding: 2.5em 0;
    font-size: var(--fs-h3);
}

.footer a { 
    color: inherit;
    text-decoration: none;
}

.footer__link {
    font-weight: var(--fw-bold);
}

.footer__link:hover,
.social-list__link:hover {
    opacity: .7;
}

.footer__link:hover {
    text-decoration: underline;
}

.social-list {
    list-style: none;
    display: flex;
    justify-content: center;
    margin: 2em 0 0;
    padding: 0;
}

.social-list__item {
    margin: 0 .5em;
}

.social-list__link {
    padding: .5em;
}

        

/* Individual portfolio line styles */

.portfolio-item-individual {
    padding: 0 2em 2em;
    max-width: 1000px;
    margin: 0 auto;
}

.portfolio-item-individual p {
    max-width: 1000px;
    margin-left: auto;
    margin-right: auto;
}





















